import java.awt.Point;

public class Class225_Sub8_Sub2 extends Class225_Sub8 {

   static final int anInt10470 = 672;
   static final int anInt10471 = 161;
   static final int anInt10472 = 525;
   static final int anInt10473 = 163;
   static final int anInt10474 = 164;
   static final int anInt10475 = 173;
   static final int anInt10476 = 166;
   static final int anInt10477 = 167;
   static final int anInt10478 = 168;
   static final int anInt10479 = 169;
   static final int anInt10480 = 170;
   static final int anInt10481 = 171;
   static final int anInt10482 = 165;
   static final int anInt10483 = 172;
   static final int anInt10484 = 516;
   static final int anInt10485 = 518;
   static final int anInt10486 = 160;
   static final int anInt10487 = 514;
   static final int anInt10488 = 515;
   static final int anInt10489 = 513;
   static final int anInt10490 = 517;
   static final int anInt10491 = 674;
   static final int anInt10492 = 174;
   int anInt10493;
   static final int anInt10494 = 521;
   static final int anInt10495 = 522;
   static final int anInt10496 = 162;
   static final int anInt10497 = 520;
   static final int anInt10498 = 519;
   static Class225_Sub8_Sub2[] aClass225_Sub8_Sub2Array10499 = new Class225_Sub8_Sub2[0];
   int anInt10500;
   int anInt10501;
   long aLong10502;
   int anInt10503;
   static final int anInt10504 = 512;


   public int method16104() {
      return -995756731 * this.anInt10500;
   }

   public void method13538(int var1) {
      Class225_Sub8_Sub2[] var2 = aClass225_Sub8_Sub2Array10499;
      synchronized(var2) {
         if(-1565973811 * Class116.anInt1181 < Class430.anInt5393 * 758733067 - 1) {
            aClass225_Sub8_Sub2Array10499[(Class116.anInt1181 += -1328571899) * -1565973811 - 1] = this;
         }

      }
   }

   public int method16105() {
      return -995756731 * this.anInt10500;
   }

   public int method16106(int var1) {
      return -995756731 * this.anInt10500;
   }

   public boolean method16107(short var1) {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 161:
      case 162:
      case 163:
      case 164:
      case 165:
      case 166:
      case 167:
      case 168:
      case 169:
      case 170:
      case 171:
      case 172:
      case 173:
      case 174:
      case 672:
      case 674:
         return true;
      default:
         return false;
      }
   }

   public int method13536(int var1) {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 512:
         return 0;
      case 163:
      case 166:
      case 169:
      case 173:
      case 515:
      case 518:
      case 521:
      case 525:
         return 2;
      default:
         return 1;
      }
   }

   public int method13533(int var1) {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 512:
         return -1;
      case 161:
      case 163:
      case 513:
      case 515:
         return 0;
      case 162:
      case 514:
         return 3;
      case 164:
      case 166:
      case 516:
      case 518:
         return 2;
      case 165:
      case 517:
         return 5;
      case 167:
      case 169:
      case 519:
      case 521:
         return 1;
      case 168:
      case 520:
         return 4;
      case 170:
      case 522:
         return 6;
      default:
         return -2;
      }
   }

   public void method16108(Point var1, int var2) {
      this.anInt10503 -= var1.x * 460321345;
      this.anInt10493 -= 1494627187 * var1.y;
   }

   public long method13537(int var1) {
      return 2221314469568855709L * this.aLong10502;
   }

   public void method13543() {
      Class225_Sub8_Sub2[] var1 = aClass225_Sub8_Sub2Array10499;
      synchronized(var1) {
         if(-1565973811 * Class116.anInt1181 < Class430.anInt5393 * 758733067 - 1) {
            aClass225_Sub8_Sub2Array10499[(Class116.anInt1181 += -1328571899) * -1565973811 - 1] = this;
         }

      }
   }

   public int method13541(byte var1) {
      return 1384720827 * this.anInt10493;
   }

   public int method13535() {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 512:
         return -1;
      case 161:
      case 163:
      case 513:
      case 515:
         return 0;
      case 162:
      case 514:
         return 3;
      case 164:
      case 166:
      case 516:
      case 518:
         return 2;
      case 165:
      case 517:
         return 5;
      case 167:
      case 169:
      case 519:
      case 521:
         return 1;
      case 168:
      case 520:
         return 4;
      case 170:
      case 522:
         return 6;
      default:
         return -2;
      }
   }

   public int method13532() {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 512:
         return -1;
      case 161:
      case 163:
      case 513:
      case 515:
         return 0;
      case 162:
      case 514:
         return 3;
      case 164:
      case 166:
      case 516:
      case 518:
         return 2;
      case 165:
      case 517:
         return 5;
      case 167:
      case 169:
      case 519:
      case 521:
         return 1;
      case 168:
      case 520:
         return 4;
      case 170:
      case 522:
         return 6;
      default:
         return -2;
      }
   }

   public int method13549() {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 512:
         return -1;
      case 161:
      case 163:
      case 513:
      case 515:
         return 0;
      case 162:
      case 514:
         return 3;
      case 164:
      case 166:
      case 516:
      case 518:
         return 2;
      case 165:
      case 517:
         return 5;
      case 167:
      case 169:
      case 519:
      case 521:
         return 1;
      case 168:
      case 520:
         return 4;
      case 170:
      case 522:
         return 6;
      default:
         return -2;
      }
   }

   public int method13552() {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 512:
         return -1;
      case 161:
      case 163:
      case 513:
      case 515:
         return 0;
      case 162:
      case 514:
         return 3;
      case 164:
      case 166:
      case 516:
      case 518:
         return 2;
      case 165:
      case 517:
         return 5;
      case 167:
      case 169:
      case 519:
      case 521:
         return 1;
      case 168:
      case 520:
         return 4;
      case 170:
      case 522:
         return 6;
      default:
         return -2;
      }
   }

   public long method13546() {
      return 2221314469568855709L * this.aLong10502;
   }

   public int method13544() {
      return -437707327 * this.anInt10503;
   }

   public int method13551() {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 512:
         return 0;
      case 163:
      case 166:
      case 169:
      case 173:
      case 515:
      case 518:
      case 521:
      case 525:
         return 2;
      default:
         return 1;
      }
   }

   public long method13548() {
      return 2221314469568855709L * this.aLong10502;
   }

   public int method13550() {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 512:
         return 0;
      case 163:
      case 166:
      case 169:
      case 173:
      case 515:
      case 518:
      case 521:
      case 525:
         return 2;
      default:
         return 1;
      }
   }

   public int method13542() {
      return -437707327 * this.anInt10503;
   }

   public long method13540() {
      return 2221314469568855709L * this.aLong10502;
   }

   public long method13539() {
      return 2221314469568855709L * this.aLong10502;
   }

   public int method13545() {
      return 1384720827 * this.anInt10493;
   }

   public long method13547() {
      return 2221314469568855709L * this.aLong10502;
   }

   public void method16109(Point var1) {
      this.anInt10503 -= var1.x * 460321345;
      this.anInt10493 -= 1494627187 * var1.y;
   }

   public void method16110(Point var1) {
      this.anInt10503 -= var1.x * 460321345;
      this.anInt10493 -= 1494627187 * var1.y;
   }

   public static void method16111(int var0) {
      Class430.anInt5393 = var0 * 1693559459;
      aClass225_Sub8_Sub2Array10499 = new Class225_Sub8_Sub2[var0];
      Class116.anInt1181 = 0;
   }

   public static Class225_Sub8_Sub2 method16112(int var0, int var1, int var2, int var3) {
      Class225_Sub8_Sub2[] var4 = aClass225_Sub8_Sub2Array10499;
      synchronized(var4) {
         Class225_Sub8_Sub2 var5;
         if(-1565973811 * Class116.anInt1181 == 0) {
            var5 = new Class225_Sub8_Sub2();
         } else {
            var5 = aClass225_Sub8_Sub2Array10499[(Class116.anInt1181 -= -1328571899) * -1565973811];
         }

         var5.anInt10503 = 460321345 * var0;
         var5.anInt10493 = 1494627187 * var1;
         var5.anInt10500 = -66562675 * var2;
         var5.anInt10501 = -1005295181 * var3;
         var5.aLong10502 = Class339.method6240(1449061382) * -691240837316986955L;
         return var5;
      }
   }

   public int method16113() {
      return -1978634885 * this.anInt10501;
   }

   public int method16114() {
      return -1978634885 * this.anInt10501;
   }

   public int method13534(int var1) {
      return -437707327 * this.anInt10503;
   }

   public boolean method16115() {
      switch(-995756731 * this.anInt10500) {
      case 160:
      case 161:
      case 162:
      case 163:
      case 164:
      case 165:
      case 166:
      case 167:
      case 168:
      case 169:
      case 170:
      case 171:
      case 172:
      case 173:
      case 174:
      case 672:
      case 674:
         return true;
      default:
         return false;
      }
   }

   public void method16116(Point var1) {
      this.anInt10503 -= var1.x * 460321345;
      this.anInt10493 -= 1494627187 * var1.y;
   }

   public static void method16117(int var0) {
      Class430.anInt5393 = var0 * 1693559459;
      aClass225_Sub8_Sub2Array10499 = new Class225_Sub8_Sub2[var0];
      Class116.anInt1181 = 0;
   }

   public int method16118(int var1) {
      return -1978634885 * this.anInt10501;
   }
}
